| Home | Libraries | People | FAQ | More

## Type definition year_based_generator

year_based_generator — A unifying date_generator base type.

## Synopsis

    // In header: <boost/date_time/gregorian/gregorian_types.hpp>

    typedef date_time::year_based_generator< date > year_based_generator;

## Description

A unifying date_generator base type for: partial_date, nth_day_of_the_week_in_month, first_day_of_the_week_in_month, and last_day_of_the_week_in_month